/*
** pat_mac.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:48:35 1999 
** Last update Thu Oct 28 20:21:15 1999 
*/
#ifndef PAT_MAC_H
#define PAT_MAC_H	1

#include "pat_ether.h"

typedef struct		s_mac
{
  int			byte0;
  int			byte1;
  int			byte2;
  int			byte3;
  int			byte4;
  int			byte5;
  char			*name;
} t_mac;

#define MAC_ANY		256

extern t_pat		mac_pat;

/* PROTO pat_mac.c */
/* pat_mac.c */
t_status mac_to_str P((t_ether_addr *ea, char *str, int max_len));
t_status mac_from_str P((t_ether_addr *ea, char *str));
t_status mac_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status mac_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status mac_pat_insert P((void *data, char *buf, int len, char *value));
t_status mac_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
#endif
